summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGilles Dartiguelongue <eva@gentoo.org>2016-10-30 11:50:55 +0100
committerGilles Dartiguelongue <eva@gentoo.org>2016-10-30 12:44:13 +0100
commitc79cb0d913a18c93b188f71b3397555d7f64e221 (patch)
treeb0ffc317a18f6a4855981f5d1f3c79ff5712092a /net-misc/rygel
parentwww-client/epiphany: fix webkit-gtk requirement (diff)
downloadgentoo-c79cb0d913a18c93b188f71b3397555d7f64e221.tar.gz
gentoo-c79cb0d913a18c93b188f71b3397555d7f64e221.tar.bz2
gentoo-c79cb0d913a18c93b188f71b3397555d7f64e221.zip
net-misc/rygel: version bump 0.30.3 → 0.32.1
Package-Manager: portage-2.3.2
Diffstat (limited to 'net-misc/rygel')
-rw-r--r--net-misc/rygel/Manifest1
-rw-r--r--net-misc/rygel/rygel-0.32.1.ebuild85
2 files changed, 86 insertions, 0 deletions
diff --git a/net-misc/rygel/Manifest b/net-misc/rygel/Manifest
index 4a512878fd6..fddeeb90742 100644
--- a/net-misc/rygel/Manifest
+++ b/net-misc/rygel/Manifest
@@ -1,2 +1,3 @@
DIST rygel-0.28.3.tar.xz 2214632 SHA256 bedb76ecb1f36b721914b5c65934f8cd01f281f9ab40c22c583902c22f169c77 SHA512 5597d21f7f227b370f3e714350d97b763a5192a7d645bd108b5a4c9cc69f5d0fd71e9e8e995c1ca112c91f62908081d16dfdddf32381c0f6107298f9c57ec0e4 WHIRLPOOL 20a1e2783f9b4ee9ffac96ba6e3d721f584a262b01e4e0b41969e7c58bf36b2560617287a71b943cd412a1589d854022204f45198a9ad46098d1a93d94a4e64d
DIST rygel-0.30.3.tar.xz 3904728 SHA256 7171ac2538d9868b0e564430041fe3485f1cf3b25e2540474d0b1480605e054e SHA512 5d7b676e18d7ecd65ced3dd76bd017ea56a294d2f6b0dedd62210d1538e780d3b21d39931c43d96e16cfe6c2f55ff11106d48505af97842e79da7e79a2b08000 WHIRLPOOL 8f24db663fe11369972fc75e5797c3f0e70df37f36428712208a3c18166e8c892042c7c794ac5b914f6c7fc3031e302be1fd1a50b496ace34d90b5094b47f734
+DIST rygel-0.32.1.tar.xz 3977648 SHA256 94300e7349e7d161fc8b2d42cd4d5ac4d161362b81f58f126abd98d000f9d2c8 SHA512 55aaed85a44496792bf9bc34d150f1f9d79b7c440da4351c730580200cc7e3a19f378dd93fdf2ab5b4c19cd793a25481c2bf15f3e7043595e6971eca983f0767 WHIRLPOOL c1947bcd4b29a29a8405a83ffd43393060825069cab0230a1819e8e4f11601e672e9ef26e88986ad39386f6fb0080e952e52810f90d491f77eae3a806bbb2afd
diff --git a/net-misc/rygel/rygel-0.32.1.ebuild b/net-misc/rygel/rygel-0.32.1.ebuild
new file mode 100644
index 00000000000..eb34532d1a1
--- /dev/null
+++ b/net-misc/rygel/rygel-0.32.1.ebuild
@@ -0,0 +1,85 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+GNOME2_LA_PUNT="yes"
+
+inherit gnome2 systemd versionator virtualx
+
+DESCRIPTION="Rygel is an open source UPnP/DLNA MediaServer"
+HOMEPAGE="https://wiki.gnome.org/Projects/Rygel"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="X +introspection +sqlite tracker test transcode"
+
+# The deps for tracker? and transcode? are just the earliest available
+# version at the time of writing this ebuild
+RDEPEND="
+ >=dev-libs/glib-2.40.0:2
+ >=dev-libs/libgee-0.8:0.8
+ >=dev-libs/libxml2-2.7:2
+ >=media-libs/gupnp-dlna-0.9.4:2.0
+ media-libs/gstreamer:1.0
+ media-libs/gst-plugins-base:1.0
+ >=media-libs/libmediaart-0.7:2.0
+ media-plugins/gst-plugins-soup:1.0
+ >=net-libs/gssdp-0.13
+ >=net-libs/gupnp-0.20.14
+ >=net-libs/gupnp-av-0.12.8
+ >=net-libs/libsoup-2.44:2.4
+ >=sys-apps/util-linux-2.20
+ x11-libs/gdk-pixbuf:2
+ x11-misc/shared-mime-info
+ introspection? ( >=dev-libs/gobject-introspection-1.33.4:= )
+ sqlite? (
+ >=dev-db/sqlite-3.5:3
+ dev-libs/libunistring:=
+ )
+ tracker? ( >=app-misc/tracker-0.16:= )
+ transcode? (
+ media-libs/gst-plugins-bad:1.0
+ media-plugins/gst-plugins-twolame:1.0
+ media-plugins/gst-plugins-libav:1.0
+ )
+ X? ( >=x11-libs/gtk+-3:3 )
+"
+DEPEND="${RDEPEND}
+ dev-util/gtk-doc-am
+ >=sys-devel/gettext-0.19.7
+ virtual/pkgconfig
+"
+# Maintainer only
+# app-text/docbook-xsl-stylesheets
+# >=dev-lang/vala-0.22
+# dev-libs/libxslt
+
+src_configure() {
+ # We set xsltproc because man pages are provided by upstream
+ # and we do not want to regenerate them automagically.
+ gnome2_src_configure \
+ XSLTPROC=$(type -P false) \
+ --enable-gst-launch-plugin \
+ --with-media-engine=gstreamer \
+ --enable-nls \
+ --with-systemduserunitdir=$(systemd_get_userunitdir) \
+ $(use_enable introspection) \
+ $(use_enable sqlite media-export-plugin) \
+ $(use_enable sqlite lms-plugin) \
+ $(use_enable test tests) \
+ $(use_enable tracker tracker-plugin) \
+ $(use_with X ui)
+}
+
+pkg_postinst() {
+ gnome2_pkg_postinst
+ if ! version_is_at_least 0.28.2-r1 ${REPLACING_VERSIONS}; then
+ elog "This version stops forcing the automatical starting of"
+ elog "rygel as upstream pretends. This way, it will honor the"
+ elog "user settings at Sharing section in gnome-control-center."
+ elog "If you desire to keep getting rygel autostarting always"
+ elog "you will need to configure your desktop to do it."
+ fi
+}